Contacts v1
Reference for the Contacts v1 endpoints on Roblox.
Base URL: https://contacts.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/contacts/metadata | getContactsMetadata |
POST | /v1/user/get-tags | postUserGetTags |
POST | /v1/user/tag | postUserTag |
GET | /v1/user/tag/validate | getUserTagValidate |
getContactsMetadata
Section titled “getContactsMetadata”GET /v1/contacts/metadata
Gets contextual information for contacts and usertags
Usage
import { fetchApi } from 'rozod';import { getContactsMetadata } from 'rozod/lib/endpoints/contactsv1';
const data = await fetchApi(getContactsMetadata, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
multiGetContactsMaxSize | number | |
multiGetContactsCacheTTLinMS | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
postUserGetTags
Section titled “postUserGetTags”POST /v1/user/get-tags
Gets the tags for multiple users
Usage
import { fetchApi } from 'rozod';import { postUserGetTags } from 'rozod/lib/endpoints/contactsv1';
const data = await fetchApi(postUserGetTags, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
targetUserIds | number[] |
Response
Section titled “Response”Array of objects:
| Field | Type | Description |
|---|---|---|
targetUserId | number | |
targetUserTag | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 4: Invalid parameters. 8: Too many user Tags are requested. |
| 401 | 0: Authorization has been denied for this request. |
| 429 | 10: The flood limit has been exceeded. |
postUserTag
Section titled “postUserTag”POST /v1/user/tag
Sets the tag for a user
Usage
import { fetchApi } from 'rozod';import { postUserTag } from 'rozod/lib/endpoints/contactsv1';
const data = await fetchApi(postUserTag, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
targetUserId | number | |
userTag | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
status | `“Success" | "Moderated”` |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: The target user is invalid or does not exist. 4: Invalid parameters. 6: The userTag is too long. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 5: The user cannot tag themselves. |
| 429 | 10: The flood limit has been exceeded. |
getUserTagValidate
Section titled “getUserTagValidate”GET /v1/user/tag/validate
Validates the tag for a user
Usage
import { fetchApi } from 'rozod';import { getUserTagValidate } from 'rozod/lib/endpoints/contactsv1';
const data = await fetchApi(getUserTagValidate, { alias: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
alias | string? | No | The tag to validate |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
status | `“Success" | "Moderated" |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 4: Invalid parameters. |
| 401 | 0: Authorization has been denied for this request. |
| 429 | 10: The flood limit has been exceeded. |